Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitAbortException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.vordel.circuit.CircuitAbortException

All Implemented Interfaces:
  java.io.Serializable

    public class CircuitAbortException

extends java.lang.Exception

This exception encapsulates all errors that are intended to halt the progression through the circuit.

See Also:
  Serialized Form

Field Summary
`static int` | `CLASS_AUTHENTICATION`
`static int` | `CLASS_AUTHORIZATION`
`static int` | `CLASS_REMOTE`
`static int` | `CLASS_SERVFAIL` A CircuitAbortException has a specific "class" associated with it.
`MessageProcessor` | `node`

Constructor Summary
`CircuitAbortException(java.lang.String msg)` Creates a new `CircuitAbortException` with a textual description of its cause.
`CircuitAbortException(java.lang.String msg, java.lang.Throwable t)` Creates a new `CircuitAbortException` indicating failure due to an underlying java Exception
`CircuitAbortException(java.lang.String msg, java.lang.Throwable throwable, int classification)` Creates a new `CircuitAbortException` instance.
`CircuitAbortException(java.lang.Throwable cause)` Creates a new `CircuitAbortException` indicating failure due to an underlying java Exception

Method Summary
`int` | `getClassification()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    public MessageProcessor node

### CLASS_SERVFAIL

    public static final int CLASS_SERVFAIL

  A CircuitAbortException has a specific "class" associated with it. The invoker of the circuit can modify their behaviour based on the class of exception that's thrown. For example, an authentication error can cause the HTTP server to return a HTTP 401 error to the client

  See Also:
    Constant Field Values

### CLASS_AUTHORIZATION

    public static final int CLASS_AUTHORIZATION

See Also:
  Constant Field Values

### CLASS_AUTHENTICATION

    public static final int CLASS_AUTHENTICATION

See Also:
  Constant Field Values

### CLASS_REMOTE

    public static final int CLASS_REMOTE

See Also:
  Constant Field Values

Constructor Detail

### CircuitAbortException

    public CircuitAbortException(java.lang.String msg)

  Creates a new `CircuitAbortException` with a textual description of its cause.

  Parameters:
    `msg` - A detailed error message

### CircuitAbortException

    public CircuitAbortException(java.lang.Throwable cause)

  Creates a new `CircuitAbortException` indicating failure due to an underlying java Exception

  Parameters:
    `cause` - A java throwable that cannot be dealt with within the normal processing framework of a filter/circuit.

### CircuitAbortException

    public CircuitAbortException(java.lang.String msg,
                                 java.lang.Throwable t)

  Creates a new `CircuitAbortException` indicating failure due to an underlying java Exception

  Parameters:
    `msg` - A text description that gives context to the cause "t"
    `t` - A java throwable that cannot be dealt with within the normal processing framework of a filter/circuit.

### CircuitAbortException

    public CircuitAbortException(java.lang.String msg,
                                 java.lang.Throwable throwable,
                                 int classification)

  Creates a new `CircuitAbortException` instance.

  Parameters:
    `msg` - A detailed error message
    `throwable` - The underlying cause of the exception.
    `classification` - broad classification of the exception's type.

Method Detail

### getClassification

    public int getClassification()

  Returns:
    the class of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel